# FlowForge

A self-hosted automation platform that allows you to build workflows visually with a drag-and-drop interface.

## Features

- Visual drag-and-drop flow editor
- Modular node system for extensibility
- User authentication and workflow management
- Background task processing with queues
- Docker-based deployment

## Architecture

- **Frontend**: React.js, Tailwind CSS, react-flow
- **Backend**: Node.js + Express.js
- **Queue System**: Redis + BullMQ
- **Database**: PostgreSQL

## Getting Started

### Prerequisites

- Docker and Docker Compose
- Node.js 18+ (for local development)

### Development Setup

1. Clone the repository
2. Install dependencies:
   ```
   cd frontend && npm install
   cd ../backend && npm install
   ```
3. Start the development environment:
   ```
   docker-compose -f docker-compose.dev.yml up
   ```
4. Access the application at `http://localhost:3000`

### Production Deployment

1. Configure environment variables in `.env.production`
2. Build and start the containers:
   ```
   docker-compose up -d
   ```
3. Access the application at your configured domain

## License

This project is licensed under the MIT License - see the LICENSE file for details.
