const express = require('express');
const router = express.Router();
const { register, login, getProfile, logout } = require('../controllers/auth');
const { authenticate } = require('../middleware/auth');

// Public routes
router.post('/register', register);
router.post('/login', login);
router.post('/logout', logout);

// Protected routes
router.get('/me', authenticate, getProfile);

module.exports = router;
