const express = require('express');
const router = express.Router();
const { getAllNodeTypes, getNodeType } = require('../controllers/node');
const { authenticate } = require('../middleware/auth');

// All node routes require authentication
router.use(authenticate);

// Get all node types
router.get('/', getAllNodeTypes);

// Get specific node type
router.get('/:type', getNodeType);

module.exports = router;
