const express = require('express');
const router = express.Router();
const { getProfile, updateProfile } = require('../controllers/user');
const { authenticate } = require('../middleware/auth');

// All user routes require authentication
router.use(authenticate);

// Get current user profile
router.get('/me', getProfile);

// Update user profile
router.put('/me', updateProfile);

module.exports = router;
