const express = require('express');
const router = express.Router();
const { 
  create, 
  getAll, 
  getById, 
  update, 
  remove, 
  execute 
} = require('../controllers/workflow');
const { authenticate } = require('../middleware/auth');

// All workflow routes require authentication
router.use(authenticate);

// CRUD operations
router.post('/', create);
router.get('/', getAll);
router.get('/:id', getById);
router.put('/:id', update);
router.delete('/:id', remove);

// Workflow execution
router.post('/:id/execute', execute);

module.exports = router;
